> ## Documentation Index
> Fetch the complete documentation index at: https://docs.insighto.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Userwhatsapp

> Create new userwhatsapp



## OpenAPI

````yaml https://api.insighto.ai/api/v1/openapi.json post /api/v1/user/UserWhatsApp
openapi: 3.1.0
info:
  title: Ragify
  version: v1
servers: []
security: []
paths:
  /api/v1/user/UserWhatsApp:
    post:
      tags:
        - User
      summary: Create Userwhatsapp
      description: Create new userwhatsapp
      operationId: create_userwhatsapp_api_v1_user_UserWhatsApp_post
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/IUserWhatsAppCreate'
        required: true
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/IPostResponseBase_IUserWhatsAppCreate_'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
      security:
        - Your API Key: []
        - HTTPBearer: []
components:
  schemas:
    IUserWhatsAppCreate:
      properties:
        phone_number_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Phone Number Id
        phone_business_id:
          anyOf:
            - type: string
            - type: 'null'
          title: Phone Business Id
        facebook_app_secret:
          anyOf:
            - type: string
            - type: 'null'
          title: Facebook App Secret
        whatsapp_access_token:
          anyOf:
            - type: string
            - type: 'null'
          title: Whatsapp Access Token
        whatsapp_phone_number:
          anyOf:
            - type: string
            - type: 'null'
          title: Whatsapp Phone Number
      type: object
      required:
        - phone_number_id
        - phone_business_id
        - facebook_app_secret
        - whatsapp_access_token
        - whatsapp_phone_number
      title: IUserWhatsAppCreate
    IPostResponseBase_IUserWhatsAppCreate_:
      properties:
        message:
          anyOf:
            - type: string
            - type: 'null'
          title: Message
          default: Data created successfully
        meta:
          anyOf:
            - additionalProperties: true
              type: object
            - {}
            - type: 'null'
          title: Meta
          default: {}
        data:
          anyOf:
            - $ref: '#/components/schemas/IUserWhatsAppCreate'
            - type: 'null'
      type: object
      title: IPostResponseBase[IUserWhatsAppCreate]
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
          title: Detail
      type: object
      title: HTTPValidationError
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
          title: Location
        msg:
          type: string
          title: Message
        type:
          type: string
          title: Error Type
      type: object
      required:
        - loc
        - msg
        - type
      title: ValidationError
  securitySchemes:
    Your API Key:
      type: apiKey
      description: >-
        Your API key for authentication. You can generate it from the
        **Settings** page. Format: starts with `in-`.
      in: query
      name: api_key
    HTTPBearer:
      type: http
      scheme: bearer

````